#
# spec file for package tslib
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Guillaume GARDET <guillaume@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tslib
Version:        1.0
Release:        4.4
Summary:        Abstraction layer for touchscreen
License:        LGPL-2.0+ and GPL-2.0+
Group:          Hardware/Other
Url:            https://github.com/kergoth/tslib.git

#Git-Clone:	git://github.com/kergoth/tslib
Source:         tslib-e2e03ef719.tar.gz
Source2:        baselibs.conf
Patch0:         use-module-raw-input-for-ts-conf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  pkg-config

%description
Tslib is an abstraction layer for touchscreen panel events.

The idea of tslib is to have a core library and a set of plugins to
manage the conversion and filtering as needed.

%package -n libts-1_0-0
Summary:        Abstraction layer for touchscreens
Group:          System/Libraries

%description -n libts-1_0-0
Tslib is an abstraction layer for touchscreen panel events.

The idea of tslib is to have a core library and a set of plugins to
manage the conversion and filtering as needed.

%package plugins
Summary:        Driver plugins for tslib, an abstraction layer for touchscreens
Group:          Hardware/Other

%description plugins
Tslib is an abstraction layer for touchscreen panel events.

The idea of tslib is to have a core library and a set of plugins to
manage the conversion and filtering as needed.

This subpackage contains the hardware driver plugins for tslib.

%package devel
Summary:        Development files for tslib, a touchscreen panel event layer
Group:          Development/Libraries/C and C++
Requires:       %name = %version
Requires:       %name-plugins = %version

%description devel
Devel package for tslib. Tslib is an abstraction layer for touchscreen panel events.

%prep
%setup -q -n tslib-e2e03ef719
%patch0 -p0
./autogen.sh
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --sysconfdir=/etc --libdir=%{_libdir}

%build
make

%install
make install DESTDIR="%buildroot"
rm %{buildroot}%{_libdir}/pkgconfig/tslib-1.0.pc
ln -s tslib.pc %{buildroot}%{_libdir}/pkgconfig/tslib-1.0.pc

%post -n libts-1_0-0 -p /sbin/ldconfig

%postun -n libts-1_0-0 -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%dir %{_libdir}/ts
%_includedir/tslib.h
%{_libdir}/libts.la
%{_libdir}/pkgconfig/tslib-1.0.pc
%{_libdir}/pkgconfig/tslib.pc
%dir %_libdir/ts
%{_libdir}/ts/*.la
%{_libdir}/libts.so

%files -n libts-1_0-0
%defattr(-,root,root)
%{_libdir}/libts-1.0.so.0
%{_libdir}/libts-1.0.so.0.0.0

%files plugins
%defattr(-,root,root)
%dir %{_libdir}/ts
%{_libdir}/ts/*.so

%files
%defattr(-,root,root)
%config /etc/ts.conf
%{_bindir}/ts_calibrate
%{_bindir}/ts_harvest
%{_bindir}/ts_print
%{_bindir}/ts_print_raw
%{_bindir}/ts_test

%changelog
* Wed Nov 13 2013 jengelh@inai.de
- Fix insufficient description for libts-1_0-0
- Set RPM groups; simpler make install line; remove redundant
  %%clean section
- Own all created directories
* Mon Aug 12 2013 guillaume@opensuse.org
- Add baselibs.conf (needed to use tslib with directfb)
* Mon Aug 12 2013 guillaume@opensuse.org
- Update to git e2e03ef719
* Thu Jan  3 2013 cfarrell@suse.com
- license update: LGPL-2.0+ and GPL-2.0+
  Library itself is LGPL (2.0) and there are some GPL-2.0+ files in the
  test subdir
* Wed Jan  2 2013 sleep_walker@suse.cz
- follow policy for shared libraries and separate library package
- separate plugins
- instead of duplicate file create symlink
* Tue Dec 25 2012 sleep_walker@suse.cz
- devel package now requires tslib itself
  as libts.so is in tslib package, it is double-weird not to be
  there
* Tue Dec 25 2012 sleep_walker@suse.cz
- fix for non SUSE distros
* Thu Nov  8 2012 guillaume@opensuse.org
- Initial release (git f6c499a523)
